<?php

	require('php-excel-reader/excel_reader2.php');
	require('SpreadsheetReader.php');
	
    //Dejar listo el lector para consultas.
    $idempresa = $_POST["idCliente"];
    $tipo = $_POST["tipo"];
    $idResponsable= $_POST["iduser"];

    $contador=0;
    //print_r($_FILES);
    
    $nombre=$_FILES['archivoExcel']['name'];
    $ubicacion=$_FILES['archivoExcel']['tmp_name'];
    
    $destino = "uploads/";
    $archivo = $destino . basename($_FILES['archivoExcel']['name']);
    
    $allowedFileType = ['application/vnd.ms-excel','text/xls','text/xlsx','application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'];
 
    if(in_array($_FILES["archivoExcel"]["type"],$allowedFileType)){
    
        if(move_uploaded_file($ubicacion, $archivo)){
            
            $lote = date('YmdHis');

            $conn=new PDO("mysql:host=localhost:3306;dbname=qpsec_SEALCHECK","qpsec_usrSEALCHECK", "mabeluis2602");
    
            $Reader = new SpreadsheetReader($archivo);
            $sheetCount = count($Reader->sheets());
             
            for($i=0;$i<$sheetCount;$i++){
             
             $Reader->ChangeSheet($i);
             
             $primera = true;
             foreach ($Reader as $Row)
             {
                            
            // Evitamos la primer linea
             if($primera){
             $primera = false;
             continue;
             }
             
             // Obtenemos informacion
               
             $var1= "";
             if(isset($Row[0])) {
             $var1= $Row[0];
             }
             
             $var2= "";
             if(isset($Row[1])) {
             $var2= $Row[1];
             }
             
             $var3= "";
             /*
             if(isset($Row[2])) {
             $var3= $Row[2];
             }
             */

             $info1= "";
             if(isset($Row[2])) {
             $info1= $Row[2];
             }
             $info2= "";
             if(isset($Row[3])) {
             $info2= $Row[3];
             }
             $info3= "";
             if(isset($Row[4])) {
             $info3= $Row[4];
             }
             $info4= "";
             if(isset($Row[5])) {
             $info4= $Row[5];
             }
             $info5= "";
             if(isset($Row[6])) {
             $info5= $Row[6];
             }

             // Guardamos en base de datos
             if (!empty($var1) && !empty($var2)) {
                $sqlInsert="INSERT INTO `seals` (id, VAR1, VAR2, VAR3, INFO1, INFO2, INFO3, INFO4, INFO5, tipo, idCliente, estado, idLote) values(NULL, '$var1', '$var2', '$var3', '$info1', '$info2', '$info3', '$info4', '$info5', '$tipo', $idempresa, 'C', '$lote')";
                
                $conn->prepare($sqlInsert)->execute(); 
                
                $contador++;
             } //if
            } //foreach
           } //$sheetCount
           
           //crear la notificación desde el registro en el log
           $datos = "Se han registrado [".$contador."] codigos nuevos en el sistema de tipo [".$tipo."] con la carga del archivo [".$nombre."] para el cliente [".$idempresa."]";
           
           $sqlInsert="INSERT INTO logs_sistema (id, fecha, user_id, operacion, permiso, datos, notificado) values (NULL, NOW(), $idResponsable, 'ALMACEN', 'CARGACODIGOS', '$datos', 0)";
    
            $conn->prepare($sqlInsert)->execute();
           
        }//move
         else{
            echo "Error al cargar el archivo... Intente en unos segundos!";
        }
        
    }

header("Location: https://appgusber.qps.ec/seals");
?>